* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    border: 0;
    text-decoration: none;
    color: black;
    font-family: sans-serif;
}

body {
    display: flex;
    flex-direction: column;
}

header {
    display: flex;
    justify-content: center;
}

main {
    display: grid;
    grid-template-columns: 1fr 1fr;
    width: 100%;
    max-width: 1440px;
    padding: 15px;
    margin: auto;
    gap: 20px;
}

.post {
    grid-column: span 1;
    display: flex;
    flex-direction: column;
    border: 1px solid black;
    padding: 10px;
    border-radius: 12px;
    gap: 10px;
    position: relative;
}

.post img {
    width: 100%;
    aspect-ratio: 1;
    object-fit: cover;
    object-position: top;
}

h3 {
    text-transform: capitalize;
}

.author {
    font-size: 14px;
    color: #8f8d8d;
}

.tags {
    display: flex;
    gap: 10px;
}

.delete {
    position: absolute;
    right: 10px;
    top: 10px;
    width: 20px;
    font-size: 20px;
    height: 20px;
    cursor: pointer;
    background: transparent;
}

.addPost {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 50px;
    height: 50px;
    font-size: 25px;
    background: cadetblue;
    color: white;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.modal {
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, .5);
    display: none;
    justify-content: center;
    align-items: center;
    position: fixed;
    left: 0;
    top: 0;
}

.visible {
    display: flex;
}

.modal form {
    width: 100%;
    max-width: 500px;
    padding: 25px;
    margin: 20px;
    background: white;
    border-radius: 20px;
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.modal input, .modal textarea {
    border: 1px solid black;
    padding: 10px;
    border-radius: 20px;
    width: 100% !important;
}

.addFormBtn {
    width: 100%;
    padding: 10px;
    background: white;
    border-radius: 20px;
    border: 1px black solid;
    cursor: pointer;
    font-size: 16px;
    transition: .3s;
}

.addFormBtn:hover {
    filter: invert(1);
}

.tagsAdd {
    display: flex;
    gap: 10px
}

.tagsAdd input, .tagsAdd button {
    width: 40%;
}

.tagsAdd button {
    border: 1px solid black;
    background: white;
    border-radius: 20px;
    transition: .3s;
    font-size: 16px;
    cursor: pointer;
}

.tagsAdd button:hover {
    filter: invert(1);
}

.tagsForm {
    display: flex;
    flex-direction: column;
    gap: 15px
}

.tagsBlock {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;

}

.login {
    width: 100vw;
    height: 100vh;
    display: flex;
    position: fixed;
    background: white;
    justify-content: center;
    align-items: center;
    left: 0;
    top: 0
}

.regime {
    z-index: 20;
    max-width: 120px;
    padding: 10px;
    text-transform: uppercase;
    font-size: 16px;
    font-weight: 600;
    background: white;
    border: 2px solid black;
    border-radius: 20px;
    transition: .3s;
    cursor: pointer;
}

.regime:hover {
    filter: invert(1);
}

.login {
    display: flex;
    flex-direction: column;
    gap: 10px
}

.login input, .login button {
    width: 100%;
    border: 1px solid black;
    padding: 10px;
    max-width: 500px;
    border-radius: 20px;
    background: white;
    transition: .3s;

}

.login button {
    cursor: pointer;
}

.login button:hover {
    filter: invert(1);
}